Перейти к содержимому

Seasons

Seasons, for reusable pricing definitions

The season object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this season is defined in

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

nameMultiLanguageString

Localized name of the season

valueSeasonExpression

Intervals defining the season

Related resources

Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).

organizations(*)object | null
organizations

The organization referenced by organization_id.

The season object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:23:06.924Z",
  "updated_at": "2026-10-30T22:23:06.924Z",
  "name": {},
  "value": {}
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/seasons?limit=10&select=*,organizations(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List seasons

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this season is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

nameFilter<MultiLanguageString>

Localized name of the season

valueFilter<SeasonExpression>

Intervals defining the season

Responses

200

A list of seasons with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /seasons
curl -X GET "https://api.bookingmood.com/v1/seasons?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:23:06.924Z",
    "updated_at": "2026-10-30T22:23:06.924Z",
    "name": {},
    "value": {}
  }
]

Create seasons

Body

Partial<Season> | Array<Partial<Season>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created seasons with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /seasons
curl -X POST "https://api.bookingmood.com/v1/seasons" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": {},
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "value": {}
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:23:06.924Z",
    "updated_at": "2026-10-30T22:23:06.924Z",
    "name": {},
    "value": {}
  }
]

Delete seasons

Filters

Without filters, this request deletes all seasons you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this season is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

nameFilter<MultiLanguageString>

Localized name of the season

valueFilter<SeasonExpression>

Intervals defining the season

Responses

200

The deleted seasons with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /seasons
curl -X DELETE "https://api.bookingmood.com/v1/seasons?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:23:06.924Z",
    "updated_at": "2026-10-30T22:23:06.924Z",
    "name": {},
    "value": {}
  }
]

Update seasons

Filters

Without filters, this request updates all seasons you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this season is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

nameFilter<MultiLanguageString>

Localized name of the season

valueFilter<SeasonExpression>

Intervals defining the season

Body

Partial<Season>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated seasons with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /seasons
curl -X PATCH "https://api.bookingmood.com/v1/seasons?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": {}
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:23:06.924Z",
    "updated_at": "2026-10-30T22:23:06.924Z",
    "name": {},
    "value": {}
  }
]

Возьмите управление своими бронированиями в свои руки. Создайте собственный бизнес.

Присоединяйтесь к 1200+ независимым компаниям по аренде жилья для отдыха, которые используют Bookingmood для увеличения количества прямых бронирований и укрепления отношений с гостями.

Начните бесплатную 14-дневную пробную версию